################################################################################
#
#    Abbreviation and full name of all Record type. 
#
################################################################################

LABEL = {
    1: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'VER', 'Version number' ),
        3:   ( 'CNT', 'File content' ),
        4:   ( 'TOT', 'Type of transaction' ),
        5:   ( 'DAT', 'Date' ),
        6:   ( 'PRY', 'Priority' ),
        7:   ( 'DAI', 'Destination agency identifier' ),
        8:   ( 'ORI', 'Originating agency identifier' ),
        9:   ( 'TCN', 'Transaction control number' ),
        10:  ( 'TCR', 'Transaction control reference' ),
        11:  ( 'NSR', 'Native scanning resolution' ),
        12:  ( 'NTR', 'Nominal resolution' ),
        13:  ( 'DOM', 'Domain name' ),
        14:  ( 'GMT', 'Greenwich Mean Time' ),
        15:  ( 'DCS', 'Character encoding' ),
        16:  ( 'APS', 'Application profile specifications' ),
        17:  ( 'ANM', 'Agency names' ),
        18:  ( 'GNS', 'Geographic name set' )
    },
    2: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information designation character' )
    },
    4: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information designation character' ),
        3:   ( 'IMP', 'Impression type' ),
        4:   ( 'FGP', 'Friction ridge generalized position' ),
        5:   ( 'ISR', 'Image scanning resolution' ),
        6:   ( 'HLL', 'Horizontal line length' ),
        7:   ( 'VLL', 'Vertical line length' ),
        8:   ( 'CGA', 'Compression algorithm' ),
        9:   ( 'DATA', 'Image data' )
    },
    7: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information designation character' )
    },
    8: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information designation character' ),
        3:   ( 'SIG', 'Signature type' ),
        4:   ( 'SRT', 'Signature representation type' ),
        5:   ( 'ISR', 'Image scanning resolution' ),
        6:   ( 'HLL', 'Horizontal line length' ),
        7:   ( 'VLL', 'Vertical line length' ),
        8:   ( 'DATA', 'Signature image data' )
    },
    9: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information designation character' ),
        3:   ( 'IMP', 'Impression type' ),
        4:   ( 'FMT', 'Minutiae format' ),
        126: ( 'CBI', 'M1 CBEFF information' ),
        127: ( 'CEI', 'M1 capture equipment identification' ),
        128: ( 'HLL', 'M1 horizontal line length' ),
        129: ( 'VLL', 'M1 vertical line length' ),
        130: ( 'SLC', 'M1 scale units' ),
        131: ( 'THPS', 'M1 transmitted horizontal pixel scale' ),
        132: ( 'TVPS', 'M1 transmitted vertical pixel scale' ),
        133: ( 'FVW', 'M1 finger view' ),
        134: ( 'FGP', 'M1 friction ridge generalized position' ),
        135: ( 'FQD', 'M1 friction ridge quality data' ),
        136: ( 'NOM', 'M1 number of minutiae' ),
        137: ( 'FMD', 'M1 finger minutiae data' ),
        138: ( 'RCI', 'M1 ridge count information' ),
        139: ( 'CIN', 'M1 core information' ),
        140: ( 'DIN', 'M1 delta information' ),
        141: ( 'ADA', 'M1 additional delta angles' ),
        176: ( 'OOD', 'Other feature sets - owner or developer' ),
        177: ( 'PAG', 'Other feature sets - processing algorithm' ),
        178: ( 'SOD', 'Other feature sets - system or device' ),
        179: ( 'DTX', 'Other feature sets \x96contact information' ),
        300: ( 'ROI', 'EFS region of interest' ),
        301: ( 'ORT', 'EFS orientation' ),
        302: ( 'FPP', 'EFS finger - palm - plantar position' ),
        303: ( 'FSP', 'EFS feature set profile' ),
        307: ( 'PAT', 'EFS pattern classification' ),
        308: ( 'RQM', 'EFS ridge quality/confidence map' ),
        309: ( 'RQF', 'EFS ridge quality map format' ),
        310: ( 'RFM', 'EFS ridge flow map' ),
        311: ( 'RFF', 'EFS ridge flow map format' ),
        312: ( 'RWM', 'EFS ridge wavelength map' ),
        313: ( 'RWF', 'EFS ridge wavelength map format' ),
        314: ( 'TRV', 'EFS tonal reversal' ),
        315: ( 'PLR', 'EFS possible lateral reversal' ),
        316: ( 'FQM', 'EFS friction ridge quality metric' ),
        317: ( 'PGS', 'EFS possible growth or shrinkage' ),
        320: ( 'COR', 'EFS cores' ),
        321: ( 'DEL', 'EFS deltas' ),
        322: ( 'CDR', 'EFS core delta ridge counts' ),
        323: ( 'CPR', 'EFS center point of reference' ),
        324: ( 'DIS', 'EFS distinctive features' ),
        325: ( 'NCOR', 'EFS no cores present' ),
        326: ( 'NDEL', 'EFS no deltas present' ),
        327: ( 'NDIS', 'EFS no distinctive features present' ),
        331: ( 'MIN', 'EFS minutiae' ),
        332: ( 'MRA', 'EFS minutiae ridge count algorithm' ),
        333: ( 'MRC', 'EFS minutiae ridge counts' ),
        334: ( 'NMIN', 'EFS no minutiae present' ),
        335: ( 'RCC', 'EFS minutiae ridge count confidence' ),
        340: ( 'DOT', 'EFS dots' ),
        341: ( 'INR', 'EFS incipient ridges' ),
        342: ( 'CLD', 'EFS creases and linear discontinuities' ),
        343: ( 'REF', 'EFS ridge edge features' ),
        344: ( 'NPOR', 'EFS no pores present' ),
        345: ( 'POR', 'EFS pores' ),
        346: ( 'NDOT', 'EFS no dots present' ),
        347: ( 'NINR', 'EFS no incipient ridges present' ),
        348: ( 'NCLD', 'EFS no creases or linear discontinuities present' ),
        349: ( 'NREF', 'EFS no ridge edge features present' ),
        350: ( 'MFD', 'EFS method of feature detection' ),
        351: ( 'COM', 'EFS comments' ),
        352: ( 'LPM', 'EFS latent processing method' ),
        353: ( 'EAA', 'EFS examiner analysis assessment' ),
        354: ( 'EOF ', 'EFS evidence of fraud' ),
        355: ( 'LSB', 'EFS latent substrate' ),
        356: ( 'LMT', 'EFS latent matrix' ),
        357: ( 'LQI', 'EFS local quality issues' ),
        360: ( 'AOC', 'EFS area of correspondence' ),
        361: ( 'CPF', 'EFS corresponding points or features' ),
        362: ( 'ECD', 'EFS examiner comparison determination' ),
        363: ( 'RRC', 'EFS relative rotation of corresponding print' ),
        372: ( 'SIM', 'EFS skeletonized image' ),
        373: ( 'RPS', 'EFS ridge path segments' ),
        380: ( 'TPL', 'EFS temporary lines' ),
        381: ( 'FCC', 'EFS feature color - comment' ),
        901: ( 'ULA', 'Universal latent workstation annotation information' ),
        902: ( 'ANN', 'Annotation information' ),
        903: ( 'DUI', 'Device unique identifier' ),
        904: ( 'MMS', 'Make/model/serial number' )
    },
    10: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information designation character' ),
        3:   ( 'IMT', 'Image type' ),
        4:   ( 'SRC', 'Source agency' ),
        5:   ( 'PHD', 'Photo capture date' ),
        6:   ( 'HLL', 'Horizontal line length' ),
        7:   ( 'VLL', 'Vertical line length' ),
        8:   ( 'SLC', 'Scale units' ),
        9:   ( 'THPS', 'Transmitted horizontal pixel scale' ),
        10:  ( 'TVPS', 'Transmitted vertical pixel scale' ),
        11:  ( 'CGA', 'Compression algorithm' ),
        12:  ( 'CSP', 'Color space' ),
        13:  ( 'SAP', 'Subject acquisition profile' ),
        14:  ( 'FIP', 'Face image bounding box coordinates in full image' ),
        15:  ( 'FPFI', 'Face image path coordinates in full image' ),
        16:  ( 'SHPS', 'Scanned horizontal pixel scale' ),
        17:  ( 'SVPS', 'Scanned vertical pixel scale' ),
        18:  ( 'DIST', 'Distortion' ),
        19:  ( 'LAF', 'Lighting artifacts' ),
        20:  ( 'POS', 'Subject pose' ),
        21:  ( 'POA', 'Pose offset angle' ),
        23:  ( 'PAS', 'Photo acquisition source' ),
        24:  ( 'SQS', 'Subject quality score' ),
        25:  ( 'SPA', 'Subject pose angles' ),
        26:  ( 'SXS', 'Subject facial description' ),
        27:  ( 'SEC ', 'Subject eye color' ),
        28:  ( 'SHC', 'Subject hair color' ),
        29:  ( 'FFP', '2D facial feature points' ),
        30:  ( 'DMM', 'Device monitoring mode' ),
        31:  ( 'TMC', 'Tiered markup collection' ),
        32:  ( '3DF', '3D facial feature points' ),
        33:  ( 'FEC', 'Feature contours' ),
        34:  ( 'ICDR', 'Image capture date range estimate' ),
        38:  ( 'COM', 'Comment' ),
        39:  ( 'T10', 'Type-10 reference number' ),
        40:  ( 'SMT', 'NCIC SMT code' ),
        41:  ( 'SMS', 'SMT size or size of injury or identifying characteristic' ),
        42:  ( 'SMD', 'SMT descriptors' ),
        43:  ( 'COL', 'Tattoo color' ),
        44:  ( 'ITX', 'Image transform' ),
        45:  ( 'OCC', 'Occlusions' ),
        46:  ( 'SUB', 'Image subject condition' ),
        47:  ( 'CON', 'Capture organization name' ),
        48:  ( 'PID', 'Suspected patterned injury detail' ),
        49:  ( 'CID', 'Cheiloscopic image data' ),
        50:  ( 'VID', 'Dental visual image data information' ),
        51:  ( 'RSP', 'Ruler or scale presence' ),
        902: ( 'ANN', 'Annotation information' ),
        903: ( 'DUI', 'Device unique identifier' ),
        904: ( 'MMS', 'Make/model/serial number' ),
        992: ( 'T2C', 'Type-2 Record cross reference' ),
        993: ( 'SAN', 'Source agency name' ),
        995: ( 'ASC', 'Associated context' ),
        996: ( 'HAS', 'Hash' ),
        997: ( 'SOR', 'Source representation' ),
        998: ( 'GEO', 'Geographic sample acquisition location' ),
        999: ( 'DATA', 'Body part image' )
    },
    11: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information designation character' ),
        3:   ( 'AOD', 'Audio object descriptor code' ),
        4:   ( 'SRC', 'Source agency' ),
        5:   ( 'VRSO', 'Voice recording source organization' ),
        6:   ( 'VRC', 'Voice recording content descriptor' ),
        7:   ( 'AREC', 'Audio recording device' ),
        8:   ( 'AQS', 'Acquisition source' ),
        9:   ( 'RCD', 'Record creation date' ),
        10:  ( 'VRD', 'Voice recording creation date' ),
        11:  ( 'TRD', 'Total recording duration' ),
        12:  ( 'PMO', 'Physical media object' ),
        13:  ( 'CONT', 'Container' ),
        14:  ( 'CDC', 'Codec' ),
        21:  ( 'RED', 'Redaction' ),
        22:  ( 'RDD', 'Redaction diary' ),
        23:  ( 'DIS', 'Discontinuities' ),
        24:  ( 'DCD', 'Discontinuities diary' ),
        25:  ( 'VOC', 'Vocal content' ),
        26:  ( 'VCD', 'Vocal content diary' ),
        27:  ( 'OCON', 'Other content' ),
        28:  ( 'OCD', 'Other content diary' ),
        32:  ( 'SGEO', 'Vocal segment geographical information' ),
        33:  ( 'SQV', 'Vocal segment quality values' ),
        34:  ( 'VCI', 'Vocal segment collision identifier' ),
        35:  ( 'PPY', 'Vocal segment processing priority' ),
        36:  ( 'VSCD', 'Vocal segment content description' ),
        37:  ( 'SCC', 'Vocal segment speaker characteristics' ),
        38:  ( 'SCH', 'Vocal segment channel' ),
        51:  ( 'COM', 'Comment' ),
        902: ( 'ANN', 'Annotation information' ),
        993: ( 'SAN', 'Source agency name' ),
        994: ( 'EFR', 'External file reference' ),
        995: ( 'ASC', 'Associated Context' ),
        996: ( 'HAS', 'Hash' ),
        997: ( 'SOR', 'Source representation' ),
        999: ( 'DATA', 'Voice record data' )
    },
    12: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information designation character' ),
        3:   ( 'FDS', 'Forensic dental setting' ),
        4:   ( 'SRC', 'Source agency identification ID' ),
        6:   ( 'DSI', 'Dental subject information' ),
        7:   ( 'ODES', 'Original dental encoding system information' ),
        8:   ( 'TDES', 'Transmittal dental encoding system information' ),
        9:   ( 'HDD', 'Dental history data detail' ),
        10:  ( 'TDD', 'Tooth data detail' ),
        11:  ( 'MDD', 'Mouth data detail' ),
        12:  ( 'DSTI', 'Dental casts and impressions' ),
        20:  ( 'COM', 'Comment' ),
        47:  ( 'CON', 'Capture organization name' ),
        902: ( 'ANN', 'Annotation information' ),
        990: ( 'T10C', 'Type-10 Record cross reference' ),
        991: ( 'T22C', 'Type-22 Record cross reference' ),
        992: ( 'T2C', 'Type-2 Record cross reference' ),
        993: ( 'SAN', 'Source agency name' ),
        994: ( 'EFR', 'External file reference' ),
        995: ( 'ASC', 'Associated context' ),
        996: ( 'HAS', 'Hash' ),
        998: ( 'GEO', 'Geographic sample acquisition location' ),
        999: ( 'DATA', 'Dental chart data' )
    },
    13: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information designation character' ),
        3:   ( 'IMP', 'Impression type' ),
        4:   ( 'SRC', 'Source agency' ),
        5:   ( 'LCD', 'Latent capture date' ),
        6:   ( 'HLL', 'Horizontal line length' ),
        7:   ( 'VLL', 'Vertical line length' ),
        8:   ( 'SLC', 'Scale units' ),
        9:   ( 'THPS', 'Transmitted horizontal pixel scale' ),
        10:  ( 'TVPS', 'Transmitted vertical pixel scale' ),
        11:  ( 'CGA', 'Compression algorithm' ),
        12:  ( 'BPX', 'Bits per pixel' ),
        13:  ( 'FGP', 'Friction ridge generalized position' ),
        14:  ( 'SPD', 'Search position descriptors' ),
        15:  ( 'PPC', 'Print position coordinates' ),
        16:  ( 'SHPS', 'Scanned horizontal pixel scale' ),
        17:  ( 'SVPS', 'Scanned vertical pixel scale' ),
        18:  ( 'RSP', 'Ruler or scale presence' ),
        19:  ( 'REM', 'Resolution method' ),
        20:  ( 'COM', 'Comment' ),
        24:  ( 'LQM', 'Latent quality metric' ),
        46:  ( 'SUB', 'Image subject condition' ),
        47:  ( 'CON', 'Capture organization name' ),
        902: ( 'ANN', 'Annotation information' ),
        903: ( 'DUI', 'Device unique identifier' ),
        904: ( 'MMS', 'Make/model/serial number' ),
        993: ( 'SAN', 'Source agency name' ),
        995: ( 'ASC', 'Associated context' ),
        996: ( 'HAS', 'Hash' ),
        997: ( 'SOR', 'Source representation' ),
        998: ( 'GEO', 'Geographic sample acquisition location' ),
        999: ( 'DATA', 'Latent friction ridge image' )
    },
    14: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information designation character' ),
        3:   ( 'IMP', 'Impression type' ),
        4:   ( 'SRC', 'Source agency' ),
        5:   ( 'FCD', 'Fingerprint capture date' ),
        6:   ( 'HLL', 'Horizontal line length' ),
        7:   ( 'VLL', 'Vertical line length' ),
        8:   ( 'SLC', 'Scale units' ),
        9:   ( 'THPS', 'Transmitted horizontal pixel scale' ),
        10:  ( 'TVPS', 'Transmitted vertical pixel scale' ),
        11:  ( 'CGA', 'Compression algorithm' ),
        12:  ( 'BPX', 'Bits per pixel' ),
        13:  ( 'FGP', 'Friction ridge generalized position' ),
        14:  ( 'PPD', 'Print position descriptors' ),
        15:  ( 'PPC', 'Print position coordinates' ),
        16:  ( 'SHPS', 'Scanned horizontal pixel scale' ),
        17:  ( 'SVPS', 'Scanned vertical pixel scale' ),
        18:  ( 'AMP', 'Amputated or bandaged' ),
        20:  ( 'COM', 'Comment' ),
        21:  ( 'SEG', 'Finger segment position' ),
        22:  ( 'NQM', 'NIST quality metric' ),
        23:  ( 'SQM', 'Segmentation quality metric' ),
        24:  ( 'FQM', 'Fingerprint quality metric' ),
        25:  ( 'ASEG', 'Alternate finger segment position(s)' ),
        26:  ( 'SCF', 'Simultaneous capture' ),
        27:  ( 'SIF', 'Stitched image flag' ),
        30:  ( 'DMM', 'Device monitoring mode' ),
        31:  ( 'FAP', 'Subject acquisition profile \x96 fingerprint' ),
        46:  ( 'SUB', 'Image subject condition' ),
        47:  ( 'CON', 'Capture organization name' ),
        902: ( 'ANN', 'Annotation information' ),
        903: ( 'DUI', 'Device unique identifier' ),
        904: ( 'MMS', 'Make/model/serial number' ),
        993: ( 'SAN', 'Source agency name' ),
        995: ( 'ASC', 'Associated context' ),
        996: ( 'HAS', 'Hash' ),
        997: ( 'SOR', 'Source representation' ),
        998: ( 'GEO', 'Geographic sample acquisition location' ),
        999: ( 'DATA', 'Fingerprint image' )
    },
    15: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information designation character' ),
        3:   ( 'IMP', 'Impression type' ),
        4:   ( 'SRC', 'Source agency' ),
        5:   ( 'PCD', 'Palm print capture date' ),
        6:   ( 'HLL', 'Horizontal line length' ),
        7:   ( 'VLL', 'Vertical line length' ),
        8:   ( 'SLC', 'Scale units' ),
        9:   ( 'THPS', 'Transmitted horizontal pixel scale' ),
        10:  ( 'TVPS', 'Transmitted vertical pixel scale' ),
        11:  ( 'CGA', 'Compression algorithm' ),
        12:  ( 'BPX', 'Bits per pixel' ),
        13:  ( 'FGP', 'Friction ridge generalized position' ),
        16:  ( 'SHPS', 'Scanned horizontal pixel scale' ),
        17:  ( 'SVPS', 'Scanned vertical pixel scale' ),
        18:  ( 'AMP', 'Amputated or bandaged' ),
        20:  ( 'COM', 'Comment' ),
        21:  ( 'SEG', 'Palm segment position' ),
        24:  ( 'PQM', 'Palm quality metric' ),
        30:  ( 'DMM', 'Device monitoring mode' ),
        46:  ( 'SUB', 'Subject condition' ),
        47:  ( 'CON', 'Capture organization name' ),
        902: ( 'ANN', 'Annotation information' ),
        903: ( 'DUI', 'Device unique identifier' ),
        904: ( 'MMS', 'Make/model/serial number' ),
        993: ( 'SAN', 'Source agency name' ),
        995: ( 'ASC', 'Associated context' ),
        996: ( 'HAS', 'Hash' ),
        997: ( 'SOR', 'Source representation' ),
        998: ( 'GEO', 'Geographic sample acquisition location' ),
        999: ( 'DATA', 'Palm print image' )
    },
    16: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information designation character' ),
        3:   ( 'UDI', 'User-defined image type' ),
        4:   ( 'SRC', 'Source agency' ),
        5:   ( 'UTD', 'User-defined image test capture date' ),
        6:   ( 'HLL', 'Horizontal line length' ),
        7:   ( 'VLL', 'Vertical line length' ),
        8:   ( 'SLC', 'Scale units' ),
        9:   ( 'THPS', 'Transmitted horizontal pixel scale' ),
        10:  ( 'TVPS', 'Transmitted vertical pixel scale' ),
        11:  ( 'CGA', 'Compression algorithm' ),
        12:  ( 'BPX', 'Bits per pixel' ),
        13:  ( 'CSP', 'Color space' ),
        16:  ( 'SHPS', 'Scanned horizontal pixel scale' ),
        17:  ( 'SVPS', 'Scanned vertical pixel scale' ),
        20:  ( 'COM', 'Comment' ),
        24:  ( 'UQS', 'User-defined image quality metric' ),
        30:  ( 'DMM', 'Device monitoring mode' ),
        902: ( 'ANN', 'Annotation information' ),
        903: ( 'DUI', 'Device unique identifier' ),
        904: ( 'MMS', 'Make/model/serial number' ),
        993: ( 'SAN', 'Source agency name' ),
        995: ( 'ASC', 'Associated context' ),
        996: ( 'HAS', 'Hash' ),
        997: ( 'SOR', 'Source representation' ),
        998: ( 'GEO', 'Geographic sample acquisition location' ),
        999: ( 'DAT A', 'Test data' )
    },
    17: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information designation character' ),
        3:   ( 'ELR', 'Eye Label' ),
        4:   ( 'SRC', 'Source agency' ),
        5:   ( 'ICD', 'Iris capture date' ),
        6:   ( 'HLL', 'Horizontal line length' ),
        7:   ( 'VLL', 'Vertical line length' ),
        8:   ( 'SLC', 'Scale units' ),
        9:   ( 'THPS', 'Transmitted horizontal pixel scale' ),
        10:  ( 'TVPS', 'Transmitted vertical pixel scale' ),
        11:  ( 'CGA', 'Compression algorithm' ),
        12:  ( 'BPX', 'Bits per pixel' ),
        13:  ( 'CSP', 'Color space' ),
        14:  ( 'RAE', 'Rotation angle of eye' ),
        15:  ( 'RAU', 'Rotation uncertainty' ),
        16:  ( 'IPC', 'Image property code' ),
        17:  ( 'DUI', 'Device unique identifier' ),
        19:  ( 'MMS', 'Make/model/serial number' ),
        20:  ( 'ECL', 'Eye color' ),
        21:  ( 'COM', 'Comment' ),
        22:  ( 'SHPS', 'Scanned horizontal pixel scale' ),
        23:  ( 'SVPS', 'Scanned vertical pixel scale' ),
        24:  ( 'IQS', 'Image quality score' ),
        25:  ( 'EAS', 'Effective acquisition spectrum' ),
        26:  ( 'IRD', 'Iris diameter' ),
        27:  ( 'SSV', 'Specified spectrum values' ),
        28:  ( 'DME', 'Damaged or missing eye' ),
        30:  ( 'DMM', 'Device monitoring mode' ),
        31:  ( 'IAP', 'Subject acquisition profile \x96 iris' ),
        32:  ( 'ISF', 'Iris storage format' ),
        33:  ( 'IPB', 'Iris pupil boundary' ),
        34:  ( 'ISB', 'Iris sclera boundary' ),
        35:  ( 'UEB', 'Upper eyelid boundary' ),
        36:  ( 'LEB', 'Lower eyelid boundary' ),
        37:  ( 'NEO', 'Non-eyelid occlusions' ),
        40:  ( 'RAN', 'Range' ),
        41:  ( 'GAZ', 'Frontal gaze' ),
        902: ( 'ANN', 'Annotation information' ),
        993: ( 'SAN', 'Source agency name' ),
        995: ( 'ASC', 'Associated context' ),
        996: ( 'HAS', 'Hash' ),
        997: ( 'SOR', 'Source representation' ),
        998: ( 'GEO', 'Geographic sample acquisition location' ),
        999: ( 'DATA', 'Iris image data' )
    },
    18: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information designation character' ),
        3:   ( 'DLS', 'DNA laboratory setting' ),
        4:   ( 'SRC', 'Source agency' ),
        5:   ( 'NAL', 'Number of analyses flag' ),
        6:   ( 'SDI', 'Sample donor information' ),
        7:   ( 'COPR', 'Claimed or purported relationship' ),
        8:   ( 'VRS', 'Validated relationship' ),
        9:   ( 'PED', 'Pedigree information' ),
        10:  ( 'STY', 'Sample type' ),
        11:  ( 'STI', 'Sample typing information' ),
        12:  ( 'SCM', 'Sample collection method' ),
        13:  ( 'SCD', 'Sample collection date' ),
        14:  ( 'PSD', 'Profile storage date' ),
        15:  ( 'DPD', 'DNA profile data' ),
        16:  ( 'STR', 'Autosomal STR, X-STR and Y-STR' ),
        17:  ( 'DMD', 'Mitochondrial DNA data' ),
        18:  ( 'UDP', 'DNA user-defined profile data' ),
        19:  ( 'EPD', 'Electropherogram description' ),
        20:  ( 'DGD', 'DNA genotype distribution' ),
        21:  ( 'GAP', 'DNA genotype allele pair' ),
        22:  ( 'COM', 'Comment' ),
        23:  ( 'EPL', 'Electropherogram ladder' ),
        902: ( 'ANN', 'Annotation information' ),
        992: ( 'T2C', 'Type-2 Record cross reference' ),
        993: ( 'SAN', 'Source agency name' ),
        995: ( 'ASC', 'Associated context' ),
        998: ( 'GEO', 'Geographic sample acquisition location' )
    },
    19: {
        1: ( 'LEN', 'Logical record length' ),
        2: ( 'IDC', 'Information designation character' ),
        3: ( 'IMP', 'Impression type' ),
        4: ( 'SRC', 'Source agency' ),
        5: ( 'PCD', 'Plantar capture date' ),
        6: ( 'HLL', 'Horizontal line length' ),
        7: ( 'VLL', 'Vertical line length' ),
        8: ( 'SLC', 'Scale units' ),
        9: ( 'THPS', 'Transmitted horizontal pixel scale' ),
        10: ( 'TVPS', 'Transmitted vertical pixel scale' ),
        11: ( 'CGA', 'Compression algorithm' ),
        12: ( 'BPX', 'Bits per pixel' ),
        13: ( 'FGP', 'Friction ridge (plantar) generalized position' ),
        16: ( 'SHPS', 'Scanned horizontal pixel scale' ),
        17: ( 'SVPS', 'Scanned vertical pixel scale' ),
        18: ( 'AMP', 'Amputated or bandaged' ),
        19: ( 'FSP', 'Friction ridge - toe segment position(s)' ),
        20: ( 'COM', 'Comment' ),
        21: ( 'SEG', 'Plantar segment position' ),
        24: ( 'FQM', 'Friction ridge - plantar print quality metric' ),
        30: ( 'DMM', 'Device monitoring mode' ),
        46: ( 'SUB', 'Image subject condition' ),
        47: ( 'CON', 'Capture organization name' ),
        902: ( 'ANN', 'Annotation information' ),
        903: ( 'DUI', 'Device unique identifier' ),
        904: ( 'MMS', 'Make/model/serial number' ),
        993: ( 'SAN', 'Source agency name' ),
        995: ( 'ASC', 'Associated context' ),
        996: ( 'HAS', 'Hash' ),
        997: ( 'SOR', 'Source representation' ),
        998: ( 'GEO', 'Geographic sample acquisition location' ),
        999: ( 'DATA', 'Plantar image' )
    },
    20: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information designation character' ),
        3:   ( 'CAR', 'SRN cardinality' ),
        4:   ( 'SRC', 'Source agency' ),
        5:   ( 'SRD', 'Source representation date' ),
        6:   ( 'HLL', 'Horizontal line length' ),
        7:   ( 'VLL', 'Vertical line length' ),
        8:   ( 'SLC', 'Scale units' ),
        9:   ( 'THPS', 'Transmitted horizontal pixel scale' ),
        10:  ( 'TVPS', 'Transmitted vertical pixel scale' ),
        11:  ( 'CGA', 'Compression algorithm' ),
        12:  ( 'BPX', 'Bits per pixel' ),
        13:  ( 'CSP', 'Color space' ),
        14:  ( 'AQS', 'Acquisition source' ),
        15:  ( 'SFT', 'Source representation format' ),
        16:  ( 'SEG', 'Segments' ),
        17:  ( 'SHPS', 'Scanned horizontal pixel scale' ),
        18:  ( 'SVPS', 'Scanned vertical pixel scale' ),
        19:  ( 'TIX', 'Time index' ),
        20:  ( 'COM', 'Comment' ),
        21:  ( 'SRN', 'Source representation number' ),
        22:  ( 'ICDR', 'Imagery capture date range estimate' ),
        902: ( 'ANN', 'Annotation information' ),
        903: ( 'DUI', 'Device unique identifier' ),
        904: ( 'MMS', 'Make/model/serial number' ),
        993: ( 'SAN', 'Source agency name' ),
        994: ( 'EFR', 'External file reference' ),
        995: ( 'ASC', 'Associated context' ),
        996: ( 'HAS', 'Hash' ),
        998: ( 'GEO', 'Geographic sample acquisition location' ),
        999: ( 'DATA', 'Source representation data' )
        },
    21: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information designation character' ),
        4:   ( 'SRC', 'Source agency' ),
        5:   ( 'ACD ', 'Associated context date' ),
        6:   ( 'MDI', 'Medical device information' ),
        15:  ( 'AFT', 'Associated context format' ),
        16:  ( 'SEG', 'Segments' ),
        19:  ( 'TIX', 'Time index' ),
        20:  ( 'COM', 'Comment' ),
        21:  ( 'ACN', 'Associated context number' ),
        22:  ( 'ICDR', 'Imagery capture date range estimate' ),
        46:  ( 'SUB', 'Image subject condition' ),
        47:  ( 'CON', 'Capture organization name' ),
        902: ( 'ANN', 'Annotation information' ),
        993: ( 'SAN', 'Source agency name' ),
        994: ( 'EFR', 'External file reference' ),
        996: ( 'HAS', 'Hash' ),
        998: ( 'GEO', 'Geographic sample acquisition location' ),
        999: ( 'DATA', 'Associated context data' )
    },
    22: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information Designation Character' ),
        3:   ( 'ICD', 'Imagery capture date' ),
        4:   ( 'SRC', 'Source agency' ),
        5:   ( 'ICDR', 'Imagery capture date range estimate' ),
        6:   ( 'BIC', 'Body image code' ),
        20:  ( 'COM', 'Comment' ),
        46:  ( 'SUB', 'Image subject condition' ),
        47:  ( 'CON', 'Capture organization name' ),
        101: ( 'ITYP', 'Non-photographic imagery type code' ),
        102: ( 'IFMT', 'Non-photographic imagery data format code' ),
        103: ( 'DRID', 'Dental radiograph image data' ),
        902: ( 'ANN', 'Annotation information' ),
        903: ( 'DUI', 'Device unique identifier' ),
        904: ( 'MMS', 'Make/model/serial number' ),
        992: ( 'T2C', 'Type-2 Record cross reference' ),
        993: ( 'SAN', 'Source agency name' ),
        994: ( 'EFR', 'External file reference' ),
        995: ( 'ASC', 'Associated context' ),
        996: ( 'HAS', 'Hash' ),
        997: ( 'SOR', 'Source representation' ),
        998: ( 'GEO', 'Geographic sample acquisition location' ),
        999: ( 'DATA', 'Imagery data block' )
    },
    98: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information designation character' ),
        3:   ( 'DFO', 'IA data format owner' ),
        4:   ( 'SRC', 'Source agency' ),
        5:   ( 'DFT', 'IA data format type' ),
        6:   ( 'DCD', 'IA data creation date' ),
        900: ( 'ALF', 'Audit log' ),
        901: ( 'ARN', 'Audit revision number' ),
        993: ( 'SAN', 'Source agency name' )
    },
    99: {
        1:   ( 'LEN', 'Logical record length' ),
        2:   ( 'IDC', 'Information designation character' ),
        4:   ( 'SRC', 'Source agency' ),
        5:   ( 'BCD', 'Biometric capture date' ),
        100: ( 'HDV', 'CBEFF header version' ),
        101: ( 'BTY', 'Biometric type' ),
        102: ( 'BDQ', 'Biometric data quality' ),
        103: ( 'BFO', 'BDB format owner' ),
        104: ( 'BFT', 'BDB format type' ),
        902: ( 'ANN', 'Annotation information' ),
        903: ( 'DUI', 'Device unique identifier' ),
        904: ( 'MMS', 'Make/model/serial number' ),
        993: ( 'SAN', 'Source agency name' ),
        995: ( 'ASC', 'Associated context' ),
        996: ( 'HAS', 'Hash' ),
        997: ( 'SOR', 'Source representation' ),
        998: ( 'GEO', 'Geographic sample acquisition location' ),
        999: ( 'DATA', 'Biometric data block' )
    }
}
